Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 1642180 - (CVE-2018-12390) CVE-2018-12390 Mozilla: Memory safety bugs fixed in Firefox 63 and Firefox ESR 60.3
CVE-2018-12390 Mozilla: Memory safety bugs fixed in Firefox 63 and Firefox ES...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20181023,repor...
: Security
Depends On: 1649193 1649195 1640852 1640854 1644504 1644506
Blocks: 1640850 1644502
  Show dependency treegraph
 
Reported: 2018-10-23 18:03 EDT by Doran Moppert
Modified: 2018-11-13 01:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-13 01:14:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3005 None None None 2018-10-24 18:09 EDT
Red Hat Product Errata RHSA-2018:3006 None None None 2018-10-24 18:10 EDT
Red Hat Product Errata RHSA-2018:3531 None None None 2018-11-09 06:48 EST
Red Hat Product Errata RHSA-2018:3532 None None None 2018-11-09 06:48 EST

  None (edit)
Description Doran Moppert 2018-10-23 18:03:55 EDT
Mozilla developers and community members reported memory safety bugs present in Firefox 62 and Firefox ESR 60.2. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-27/#CVE-2018-12390
Comment 1 Doran Moppert 2018-10-23 18:04:05 EDT
Acknowledgments:

Name: the Mozilla project
Upstream: Christian Holler, Bob Owen, Boris Zbarsky, Calixte Denizet, Jason Kratzer, Jed Davis, Taegeon Lee, Philipp, Ronald Crane, Raul Gurzau, Gary Kwong, Tyson Smith, Raymond Forbes, Bogdan Tara
Comment 2 errata-xmlrpc 2018-10-24 18:09:22 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3005 https://access.redhat.com/errata/RHSA-2018:3005
Comment 3 errata-xmlrpc 2018-10-24 18:09:54 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3006 https://access.redhat.com/errata/RHSA-2018:3006
Comment 4 errata-xmlrpc 2018-11-09 06:48:27 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3531 https://access.redhat.com/errata/RHSA-2018:3531
Comment 5 errata-xmlrpc 2018-11-09 06:48:44 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3532 https://access.redhat.com/errata/RHSA-2018:3532

Note You need to log in before you can comment on or make changes to this bug.